=== modified file 'lib/lp/bugs/browser/bugtask.py'
--- lib/lp/bugs/browser/bugtask.py	2011-12-20 04:38:42 +0000
+++ lib/lp/bugs/browser/bugtask.py	2011-12-20 14:08:41 +0000
@@ -2555,6 +2555,8 @@
     custom_widget('structural_subscriber', PersonPickerWidget)
     custom_widget('subscriber', PersonPickerWidget)
 
+    _batch_navigator = None
+
     @cachedproperty
     def bug_tracking_usage(self):
         """Whether the context tracks bugs in Launchpad.
@@ -3019,9 +3021,11 @@
             the search criteria taken from the request. Params in
             `extra_params` take precedence over request params.
         """
-        unbatchedTasks = self.searchUnbatched(
-            searchtext, context, extra_params)
-        return self._getBatchNavigator(unbatchedTasks)
+        if self._batch_navigator is None:
+            unbatchedTasks = self.searchUnbatched(
+                searchtext, context, extra_params)
+            self._batch_navigator = self._getBatchNavigator(unbatchedTasks)
+        return self._batch_navigator
 
     def searchUnbatched(self, searchtext=None, context=None,
                         extra_params=None, prejoins=[]):

